Bug 193772 - Review Request: Xbae - Matrix,Caption,Input widgets for Motif
Review Request: Xbae - Matrix,Caption,Input widgets for Motif
Status: CLOSED DUPLICATE of bug 192418
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thorsten Leemhuis (ignored mailbox)
Fedora Package Reviews List
Depends On:
  Show dependency treegraph
Reported: 2006-06-01 10:36 EDT by Tobias Oed
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-06-01 12:19:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tobias Oed 2006-06-01 10:36:26 EDT
Spec URL: http://prdownloads.sourceforge.net/xbae/Xbae.spec
SRPM URL: http://prdownloads.sourceforge.net/xbae/Xbae-4.60.4-1.src.rpm
The Xbae widget set was in fedora 1, and dropped in fedora 2. I repackaged it for inclusion in fedora 5-extras.

This package provides the Motif matrix and caption. The matrix widget
is widely used and will display up to four billion rows of data in a
spreadsheet-like form. The caption widget is a simple Motif manager
widget that associates a label with a child. You will need to have
either Motif or LessTif installed in order to use Xbae's widgets.
Comment 1 Patrice Dumas 2006-06-01 11:59:52 EDT
I have allready proposed Xbae here:

I think my proposal is a bit better since it is simple and also 
package the examples. But I should update to the latest version.
If you really want to maintain Xbae, no problem I'll do a patch
to your spec.

Also I depend on Wcl to verify that the corresponding example 
Comment 2 Tobias Oed 2006-06-01 12:19:08 EDT
I don't really want to maintain the spec file, I already work on the sources :)
I'll gladly let you take care of this, and mark this report as a duplicate of yours.
wrt. the examples, I think you may want to split them out in xbae-examples if
that's even possible. (I don't know rpm all that well).
Cheers, Tobias.

*** This bug has been marked as a duplicate of 192418 ***
Comment 3 Patrice Dumas 2006-06-01 12:28:41 EDT
Currently I package them in xbae-devel. I don't think they deserve
a separate subpackage.
Comment 4 Patrice Dumas 2006-06-01 18:03:02 EDT
I cannot find anything packaged in 


in your specfile. Is it an error? I ask because this is something
I could take from your spec, but I cannot find it.
Comment 5 Tobias Oed 2006-06-01 18:55:22 EDT
That's wierd, my devel rpm includes 
/usr/share/aclocal/ac_find_xbae.m4 5618 1149167337
34839c3fd5b8d6d7d6dc693d4c2ddce9 0100644 root root 0 0 0 X
which turns out to be a copy of the ac_find_xbae.m4 that's at the top of the
source tree. Part of the patch I include in the rpm is supposed to make that one
get installed.
Comment 6 Patrice Dumas 2006-06-02 03:37:02 EDT
Seems to me that it is not part of your patch but it is in 
configure... Your patch avoids documentation installation.
I solved that issue differently. 

However aclocal isn't found by configure on my box, I have
to investigate that.
Comment 7 Tobias Oed 2006-06-02 06:14:00 EDT
These two bits in my patch:
In Makefile.am
-if Aclocal
 aclocal_DATA = ac_find_xbae.m4

and Makefine.in
-@Aclocal_TRUE@aclocal_DATA = ac_find_xbae.m4
+aclocal_DATA = ac_find_xbae.m4
I do install the man pages as documentation with -devlel. The html stuff that
comes with xbae is way out of date, so I decided to leave it out.
Comment 8 Patrice Dumas 2006-06-02 10:39:02 EDT
Strangely this doesnt seems to be that patch which is in your
.src.rpm... I can do the same however.

Note You need to log in before you can comment on or make changes to this bug.